
-- ajout de contraintes sur les fournisseurs
-- SI VOUS AVEZ DES ERREURS SUR LES CONTRAINTES SUIVANTES, IL FAUDRAIT EFFECUER DES REMPLACEMENTS DANS LES TABLES POUR POINTER 
-- SUR DES FOU_ORDRE EXISTANTS 

ALTER TABLE maracuja.DEPENSE ADD (CONSTRAINT FK_DEP_FOU_ORDRE FOREIGN KEY (FOU_ORDRE) REFERENCES GRHUM.FOURNIS_ULR (FOU_ORDRE) NOVALIDATE) ;
ALTER TABLE maracuja.MANDAT ADD (CONSTRAINT FK_MAN_FOU_ORDRE FOREIGN KEY (FOU_ORDRE) REFERENCES GRHUM.FOURNIS_ULR (FOU_ORDRE));
ALTER TABLE maracuja.ORDRE_DE_PAIEMENT ADD (CONSTRAINT FK_ODP_FOU_ORDRE FOREIGN KEY (FOU_ORDRE) REFERENCES GRHUM.FOURNIS_ULR (FOU_ORDRE));


-- SI VOUS AVEZ DES ERREURS SUR LES CONTRAINTES SUIVANTES, IL FAUDRAIT EFFECUER DES REMPLACEMENTS DANS LES TABLES POUR POINTER 
-- SUR DES RIB_ORDRE EXISTANTS
ALTER TABLE maracuja.DEPENSE ADD (CONSTRAINT FK_DEP_RIB_ORDRE FOREIGN KEY (DEP_RIB) REFERENCES GRHUM.RIBFOUR_ULR (RIB_ORDRE));
ALTER TABLE maracuja.MANDAT ADD (CONSTRAINT FK_man_RIB_ORDRE_ORD FOREIGN KEY (RIB_ORDRE_ORDONNATEUR) REFERENCES GRHUM.RIBFOUR_ULR (RIB_ORDRE));
ALTER TABLE maracuja.MANDAT ADD (CONSTRAINT FK_man_RIB_ORDRE_COM FOREIGN KEY (RIB_ORDRE_COMPTABLE) REFERENCES GRHUM.RIBFOUR_ULR (RIB_ORDRE));
ALTER TABLE maracuja.ORDRE_DE_PAIEMENT ADD (CONSTRAINT FK_ODP_RIB_ORDRE FOREIGN KEY (RIB_ORDRE) REFERENCES GRHUM.RIBFOUR_ULR (RIB_ORDRE));